#ifndef ADHOCLIST_H
#define ADHOCLIST_H
class AdHocList
{
    private:
        struct node_t
        {
            int data;
            node_t *next;
        };

        node_t *first;
        node_t *last;
        int size;

    public:
        AdHocList();
        ~AdHocList();
        void Push(int data);
        int  Pop();
        int  IsEmpty();
        void Print();
        int  Size();
        void Append(AdHocList *data);
        int  Get(int index);
        int  IsElement(int elem);
        int  Max();
        int  Min();
        int* ToArray(int array[]);
};
#endif
