#include <stdio.h>
#include "RecognizeBall.h"
#include "Constants.h"

void
RecognizeBall::FlushIt()
{
  for(int i=0; i<100; i++)
    printf("\t\r");
}

int
RecognizeBall::PrintBloblist(bloblist_t *bloblist)
{
  int cntr = 0;
  bloblist_t *curr = bloblist;
  while(curr != NULL){
    cntr++;
    curr = curr->next;
  }
  return cntr;
}

void
RecognizeBall::PrintHistogram()
{
  for(int i=0; i<NUMBER_OF_GREYS; i++)
    printf("%d %d\n",i,histogram[i]);

}

void 
RecognizeBall::MarkBlobCenter(AdHocList *blobcenterlist)
{
  for(int i=0; i<blobcenterlist->Size(); i++)
    sImage[blobcenterlist->Get(i)] = ON_PIXEL;
}

void
RecognizeBall::FilterWhitePixels()
{
  for(int i=0; i<SOBEL_IMAGE_SIZE; i++)
    if(sImage[i] == ON_PIXEL)
      sImage[i] = OFF_PIXEL;
}
