#include<OPENR/OObject.h>
#include<OPENR/OObserver.h>
#include<OPENR/OSubject.h>
#include<OPENR/OFbkImage.h>
#include"def.h"
#include"RecognizeBall.h"

class NiloImage: public OObject
{
	public:
		NiloImage();
		virtual ~NiloImage();

		OSubject* subject[numOfSubject];
		OObserver* observer[numOfObserver];

		virtual OStatus DoInit(const OSystemEvent& event);
		virtual OStatus DoStart(const OSystemEvent& event);
		virtual OStatus DoStop(const OSystemEvent& event);
		virtual OStatus DoDestroy(const OSystemEvent& event);
		void Notify(const ONotifyEvent& event);

	private:
		static const char* const FBK_LOCATOR = "PRM:/r1/c1/c2/c3/i1-FbkImageSensor:F1";
		OPrimitiveID fbkID;
		RecognizeBall *recognizeBall;

		void OpenPrimitive();
};
